<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
	}
	.topnav{
		border-bottom:1px solid rgba(0,0,0,0.12);
		height:8vh;
	}
	button{
		background:transparent;
		border:2px solid teal;
		padding:10px 20px;
		transition: .3s;
	}
	button:hover{
		background-color:teal;
		/*color:white;*/
	}
	.content{
		display: flex;`
		width: 100%;
		height: 92vh;
		position: relative;
	}
	.sidenav{
		height:100%;
		border-right:1px solid rgba(0,0,0,0.12);
		transition: .4s ease-in width;
		position: absolute;
		background-color: white;
	}
	.open{
		width: 20%;
	}
	.close{
		width: 0%;
	}
	.main-content{
		background:red;
		flex: 1;
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-wrap: wrap;
	}
	.alil{
		background:yellow;
		width: 300px;
		height:100px;
		margin:10px;
	}
</style>
<body>
<div class="topnav"><button onclick="toggleSideNav()">=</button></div>
<div class="content">
	<div class="sidenav close" id="sidenav"></div>
	<div class="main-content">
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
		<div class="alil"></div>
	</div>
</div>
</body>
<script>
	function toggleSideNav(){
		document.getElementById("sidenav").classList.toggle('open');
		document.getElementById("sidenav").classList.toggle('close');
	}
</script>
</html>